Loading...
Searching...
No Matches
Warning Header
MIME Headers

The Warning response-header field is used to carry additional information about the status of a response. More...

## Macros

#define | MSG_WARNING_INIT()
| Initializer for an msg_warning_t structure.

## Typedefs

typedef struct msg_warning_s | msg_warning_t
| The structure msg_warning_t contains representation of an Warning header.

## Enumerations

enum | { msg_warning_hash }

## Functions

msg_warning_t * | msg_warning_init (msg_warning_t x[1])
| Initialize an msg_warning_t structure.
int | msg_is_warning (msg_header_t const *header)
| Test if header object is an instance of msg_warning_t.
msg_warning_t * | msg_warning_dup (su_home_t *home, msg_warning_t const *header)
| Duplicate (deep copy) msg_warning_t.
msg_warning_t * | msg_warning_copy (su_home_t *home, msg_warning_t const *header)
| Copy an msg_warning_t header structure.
msg_warning_t * | msg_warning_make (su_home_t *home, char const *s)
| Make a header structure msg_warning_t.
msg_warning_t * | msg_warning_format (su_home_t *home, char const *fmt,...)))
| Make a Warning header from formatting result.

## Variables

msg_parse_f | msg_warning_d
| Parse a Warning header.
msg_print_f | msg_warning_e
| Print a Warning header.
msg_hclass_t | msg_warning_class []
| Header class for Warning header.

## Detailed Description

The Warning response-header field is used to carry additional information about the status of a response.

Its syntax is defined in [S20.43] as follows:

Warning = "Warning" HCOLON warning-value *(COMMA warning-value)
warning-value = warn-code SP warn-agent SP warn-text
warn-code = 3DIGIT
warn-agent = hostport / pseudonym
; the name or pseudonym of the server adding
; the Warning header, for use in debugging
warn-text = quoted-string
pseudonym = token

## Macro Definition Documentation

## MSG_WARNING_INIT

#define MSG_WARNING_INIT | ( |  | ) |

Initializer for an msg_warning_t structure.

A static msg_warning_t structure must be initialized with the MSG_WARNING_INIT() macro. For instance,

msg_warning_t msg_warning = MSG_WARNING_INIT;
MSG_WARNING_INIT
#define MSG_WARNING_INIT()
Initializer for an msg_warning_t structure.
Definition msg_mime_protos.h:3852
msg_warning_t
struct msg_warning_s msg_warning_t
The structure msg_warning_t contains representation of an Warning header.
Definition msg_mime.h:71

## Typedef Documentation

## msg_warning_t

typedef struct msg_warning_s msg_warning_t

The structure msg_warning_t contains representation of an Warning header.

The msg_warning_t is defined as follows:

typedef struct msg_warning_s
{
msg_common_t w_common[1]; // Common fragment info
msg_warning_t *w_next; // Link to next Warning header
unsigned w_code; // Warning code
char const *w_host; // Hostname or pseudonym
char const *w_port; // Port number
char const *w_text; // Warning text
} msg_warning_t;
msg_common_t
struct msg_common_s msg_common_t
Common part of header.
Definition msg_types.h:89
msg_warning_s
Structure for Warning header.
Definition msg_mime.h:145
msg_warning_s::w_common
msg_common_t w_common[1]
Common fragment info.
Definition msg_mime.h:146
msg_warning_s::w_text
char const * w_text
Warning text.
Definition msg_mime.h:151
msg_warning_s::w_port
char const * w_port
Port number.
Definition msg_mime.h:150
msg_warning_s::w_host
char const * w_host
Hostname or pseudonym.
Definition msg_mime.h:149
msg_warning_s::w_code
unsigned w_code
Warning code.
Definition msg_mime.h:148
msg_warning_s::w_next
msg_warning_t * w_next
Link to next Warning header.
Definition msg_mime.h:147

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
msg_warning_hash | Hash of Warning header.

## Function Documentation

## msg_is_warning()

int msg_is_warning | ( | msg_header_t const * | header | ) |

inline

Test if header object is an instance of msg_warning_t.

The function msg_is_warning() returns true (nonzero) if the header class is an instance of Warning header object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function msg_is_warning() returns true (nonzero) if the header object is an instance of header Warning header and false (zero) otherwise.

## msg_warning_copy()

msg_warning_t * msg_warning_copy | ( | su_home_t * | home,
|  | msg_warning_t const * | header )

inline

Copy an msg_warning_t header structure.

The function msg_warning_copy() copies a header structure header. If the header structure header contains a reference (`header->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure header.

Parameters

  home | memory home used to allocate new structure
  header | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  warning = msg_warning_copy(home, msg->msg_warning);
  msg_warning_copy
  msg_warning_t * msg_warning_copy(su_home_t *home, msg_warning_t const *header)
  Copy an msg_warning_t header structure.
  Definition msg_mime_protos.h:3981

Returns
  The function msg_warning_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## msg_warning_dup()

msg_warning_t * msg_warning_dup | ( | su_home_t * | home,
|  | msg_warning_t const * | header )

inline

Duplicate (deep copy) msg_warning_t.

The function msg_warning_dup() duplicates a header structure header. If the header structure header contains a reference (`header->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  header | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  warning = msg_warning_dup(home, msg->msg_warning);
  msg_warning_dup
  msg_warning_t * msg_warning_dup(su_home_t *home, msg_warning_t const *header)
  Duplicate (deep copy) msg_warning_t.
  Definition msg_mime_protos.h:3936

Returns
  The function msg_warning_dup() returns a pointer to the newly duplicated msg_warning_t header structure, or NULL upon an error.

## msg_warning_format()

msg_warning_t * msg_warning_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Warning header from formatting result.

The function msg_warning_format() makes a new Warning header object using snprintf-formatted result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function may be implemented as a macro calling msg_header_format().

Returns
  The function msg_warning_format() returns a pointer to newly makes header structure, or NULL upon an error.

## msg_warning_init()

msg_warning_t * msg_warning_init | ( | msg_warning_t | x[1] | ) |

inline

Initialize an msg_warning_t structure.

An msg_warning_t structure can be initialized with the msg_warning_init() function/macro. For instance,

msg_warning_t msg_warning;
msg_warning_init(&msg_warning);
msg_warning_init
msg_warning_t * msg_warning_init(msg_warning_t x[1])
Initialize an msg_warning_t structure.
Definition msg_mime_protos.h:3869

Parameters

  x | pointer to msg_warning_t structure

## msg_warning_make()

msg_warning_t * msg_warning_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure msg_warning_t.

The function msg_warning_make() makes a new msg_warning_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function may be implemented as a macro calling msg_header_make().

Returns
  The function msg_warning_make() returns a pointer to newly maked msg_warning_t header structure, or NULL upon an error.

## Variable Documentation

## msg_warning_class

msg_hclass_t msg_warning_class[]

extern

Header class for Warning header.

The header class msg_warning_class defines how a Warning header header is parsed and printed. It also contains methods used by message parser and other functions to manipulate the msg_warning_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.